Package org.codehaus.groovy.runtime.powerassert

# Class AssertionRenderer

java.lang.Object
org.codehaus.groovy.runtime.powerassert.AssertionRenderer

public final class AssertionRenderer extends Object
Creates a string representation of an assertion and its recorded values.

Author:
  Peter Niederwieser

## Method Summary

Modifier and Type
Method
Description
`static String`
`render(String text, ValueRecorder recorder)`
Creates a string representation of an assertion and its recorded values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### render

public static String render(String text, ValueRecorder recorder)
Creates a string representation of an assertion and its recorded values.

Parameters:
  `text` - the assertion's source text
  `recorder` - a recorder holding the values recorded during evaluation of the assertion
Returns:
  a string representation of the assertion and its recorded values